<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xunwang.education.mapper.InviteInfoMapper">

    <select id="sendMyInviteInfoList" resultType="com.xunwang.education.entity.dto.MyInviteInfoDto">
        select id, to_uname, require_detail, datetime, `identity`, operate_status
        from invite_info
        where from_uid = #{uid} and read_status = #{status}
        order by datetime desc
    </select>

    <select id="receiveMyInviteInfoList" resultType="com.xunwang.education.entity.dto.MyInviteInfoDto">
        select id, from_uname, require_detail, datetime, `identity`, operate_status
        from invite_info
        where to_uid = #{uid} and read_status = #{status}
        order by datetime desc
    </select>

    <select id="isAttention" resultType="java.lang.String">
        select subscribe
        from sa_openid
        where unionid = #{id}
    </select>


</mapper>
